编译不进去,为什么

为当前最终发行版之前的所有版本提供支持
回复
头像
jingying12
帖子: 36
注册时间: 2008-07-02 15:43
送出感谢: 0
接收感谢: 0
联系:

编译不进去,为什么

#1

帖子 jingying12 » 2008-07-02 16:04

各位好友,我是初学者,怎么在自己的目录下编译源代码,就是打不开文件说No such file or directory,这是为什么阿?
急待大家的回答,谢谢
头像
bones7456
论坛版主
帖子: 8495
注册时间: 2006-04-12 20:05
来自: 杭州
送出感谢: 0
接收感谢: 8 次
联系:

#2

帖子 bones7456 » 2008-07-02 16:07

去看看提问的智慧
关注我的blog: ε==3
头像
greco
帖子: 2487
注册时间: 2007-04-06 10:24
来自: ~/Shanghai
送出感谢: 0
接收感谢: 0

#3

帖子 greco » 2008-07-02 16:10

bones7456 写了:去看看提问的智慧
永远都没人看,貌似我也没看过,呵呵
http://silenceisdefeat.com/~greco

代码: 全选

''.join([chr(ord(c)-2) for c in 'O{"G/ockn"ku<"itgeq0ujkBiockn0eqo'])
echo -n "Z3JlY28uc2hpQGdtYWlsLmNvbQ==" | base64 -d
头像
jingying12
帖子: 36
注册时间: 2008-07-02 15:43
送出感谢: 0
接收感谢: 0
联系:

编译不进去,为什么

#4

帖子 jingying12 » 2008-07-02 17:30

为什么,不能回答马?还非要有步骤的吗?你们都是这样给挑错而不是给回答问题的马?
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

Re: 编译不进去,为什么

#5

帖子 BigSnake.NET » 2008-07-02 17:48

jingying12 写了:为什么,不能回答马?还非要有步骤的吗?你们都是这样给挑错而不是给回答问题的马?
我家猫死了, 你知道为什么吗?

回答我的问题, 不要给我挑错.
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
kelvenxu
帖子: 13
注册时间: 2008-01-07 20:20
送出感谢: 0
接收感谢: 0

#6

帖子 kelvenxu » 2008-07-02 18:02

叙述问题要讲清楚,让人看明白
头像
solcomo
帖子: 2838
注册时间: 2007-04-25 13:12
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 solcomo » 2008-07-02 18:03

很明白了
No such file or directory
没有指定的文件或目录
♜♞♝♛♚♝♞♜
♟♟♟♟♟♟♟♟
♙♙♙♙♙♙♙♙
♖♘♗♕♔♗♘♖

☠☯⚔⚓☣☦☃☕
☹☻☪☭☬⚖⚛⚜
ℜℳℬ™ ℋℯℓ℘ ℳℭ
sƂɐʍ рǀɹoʍ əɥʇ oS
头像
牙签儿
帖子: 509
注册时间: 2007-06-30 0:27
送出感谢: 0
接收感谢: 1 次

#8

帖子 牙签儿 » 2008-07-02 18:47

1.你现在要做的不是搞清楚你所提问的问题,你需要的是看一本介绍linux系统的书,这会使一个新手少走很多的弯路。
2.关于你的问题我可以给你回答:
首先是编译软件的问题。假如说你下载的源码包在桌面上,那么解压缩(点右键->解压到这里),就会在桌面上产生一个文件夹(假如说是abc)。然后打开终端(在桌面上点右键->打开终端),输入命令:

代码: 全选

 cd Desktop/abc/
此你已经进入abc目录。然后:

代码: 全选

ls
你会发现其中有一个configure文件,这是一个可执行文件,在一般的源码包中都有这个文件。输入命令:

代码: 全选

./configure
如果终端的显示是你所说的:No such file or directory ,原因应该是这个文件没有可执行权限,因为上个命令是要执行一个命令,但是configure不具有可执行性,所以产生以上显示。输入这个命令为其添加可执行的权限:

代码: 全选

sudo chmod +x configure
然后重新执行./configure。如果没有显示错误接着执行:

代码: 全选

make
这是编译源代码,生成可执行的二进制文件。
然后执行:

代码: 全选

sudo make install
是将上一步生成的文件拷贝到对应的地方,是自动的。
最后执行:

代码: 全选

make clean
这是删除上边产生的临时文件。
如果上边后3步中有错误产生,应该是有依赖包没有安装。你要是英语可以的话找出错误及依赖的包再行解决。否则请放弃编译,安心的看书,补充基础知识,以后再做。而且你所编译的软件一定可以找到别人编译好的二进制包,直接安装使用可以免去很多麻烦。
相信不会再有人会回答你的这种在高手看来很幼稚很可笑很无奈的问题。因为我也提过这样的问题,知道作为新手的痛苦与无奈,支持一下你。坚持住,不要因为一时的困难而放弃linux。看一些linux系统管理的书,了解一些基础知识,多多的利用GOOGLE和BAIDU。
回复

回到 “老旧版本支持”